summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorshtrom2010-10-08 06:07:06 +0000
committershtrom2010-10-08 06:07:06 +0000
commitbbc99f3651a992166fa8c452e645f96fabb393a0 (patch)
treef16ab760f3de1f57e61e0be156a6c1bf4433f01b
downloadaur-bbc99f3651a992166fa8c452e645f96fabb393a0.tar.gz
[msva-perl-git] New package.
git-svn-id: svn+ssh://scm.narf.ssji.net/svn/archlinux-packages@258 df209809-8e4a-0410-9a64-c169741eb0fc
-rw-r--r--.SRCINFO27
-rw-r--r--PKGBUILD42
2 files changed, 69 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..717aa30fe6c
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,27 @@
+pkgbase = msva-perl-git
+ pkgdesc = Perl Monkeysphere Validation Agent
+ pkgver = 20110926
+ pkgrel = 1
+ url = http://web.monkeysphere.info/
+ arch = i686
+ arch = x86_64
+ license = GPL3
+ makedepends = git
+ depends = monkeysphere
+ depends = gtk2-perl
+ depends = perl-http-server-simple
+ depends = perl-regexp-common
+ depends = perl-json
+ depends = perl-gnupg-interface
+ depends = perl-any-moose
+ depends = perl-net-server
+ depends = perl-convert-asn1
+ depends = perl-crypt-x509
+ depends = perl-file-homedir
+ depends = perl-config-general
+ provides = msva-pearl
+ provides = monkeysphere-validation-agent
+ conflicts = msva-perl
+
+pkgname = msva-perl-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..03b0b117a5d
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,42 @@
+# Contributor: Olivier Mehani <shtrom-arch@ssji.net>
+# $Id$
+pkgname=msva-perl-git
+pkgver=20101008
+pkgrel=1
+pkgdesc="Perl Monkeysphere Validation Agent"
+arch=(x86 x86_64)
+url="http://web.monkeysphere.info/"
+license=('GPL3')
+depends=(monkeysphere perl-gtk2 perl-http-server-simple perl-regexp-common perl-json perl-gnupg-interface perl-any-moose perl-any-moose perl-net-server)
+makedepends=('git')
+provides=(msva-pearl monkeysphere-validation-agent)
+conflicts=(msva-perl)
+
+_gitroot="git://git.monkeysphere.info/msva-perl"
+_gitname="msva-perl"
+
+build() {
+ cd "$srcdir"
+ msg "Connecting to GIT server...."
+
+ if [ -d $_gitname ] ; then
+ cd $_gitname && git pull origin
+ msg "The local files are updated."
+ else
+ git clone $_gitroot $_gitname
+ fi
+
+ msg "GIT checkout done or server timeout"
+ msg "Starting make..."
+
+ rm -rf "$srcdir/$_gitname-build"
+ git clone "$srcdir/$_gitname" "$srcdir/$_gitname-build"
+ cd "$srcdir/$_gitname-build"
+
+ make || return 1
+
+ install -m 755 -D msva-perl $pkgdir/usr/bin/msva-perl
+ install -m 644 -D msva-perl.1 $pkgdir/usr/share/man/man1/msva-perl.1
+ install -m 755 -d $pkgdir/usr/share/perl5/vendor_perl/
+ cp -R {Net,Crypt} $pkgdir/usr/share/perl5/vendor_perl/
+}